Loading...
Searching...
No Matches
Opm::ConnFracStatistics< Scalar > Class Template Reference

Collection of fracturing statistics measures at the connection level. More...

`#include <ConnFracStatistics.hpp>`

## Public Types

enum class | Quantity : std::size_t { Pressure , FlowRate , Width , NumQuantities }
| Known quantities for which this collection provides statistics measures. More...
using | SamplePoint
| Sample point representation.

## Public Member Functions

template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.
void | reset ()
| Reset internal counters to prepare for calculating a new set of sample statistics.
void | addSamplePoint (const SamplePoint &samplePoint)
| Include new element into sample.
const RunningStatistics< Scalar > & | statistics (const Quantity q) const
| Retrieve collection of sample statistics for a single quantity.
bool | operator== (const ConnFracStatistics &that) const
| Equality predicate.

## Static Public Member Functions

static ConnFracStatistics | serializationTestObject ()
| Create a serialisation test object.

## Detailed Description

template<typename Scalar>
class Opm::ConnFracStatistics< Scalar >

Collection of fracturing statistics measures at the connection level.

Template Parameters

  Scalar | Statistics element type. Typically a built-in arithmetic type like `float` or `double`.

## Member Typedef Documentation

## SamplePoint

template<typename Scalar>

using Opm::ConnFracStatistics< Scalar >::SamplePoint

Initial value:
std::array
<Scalar, static_cast<std::underlying_type_t<Quantity>>(Quantity::NumQuantities)>

Sample point representation.

Client code must populate an object of this type in order to collect statistics.

## Member Enumeration Documentation

## Quantity

template<typename Scalar>

enum class Opm::ConnFracStatistics::Quantity : std::size_t

strong

Known quantities for which this collection provides statistics measures.

Enumerator
Pressure | Fracture pressure.
FlowRate | Fracture flow rate.
Width | Fracture width.

## Member Function Documentation

## addSamplePoint()

template<typename Scalar>

void Opm::ConnFracStatistics< Scalar >::addSamplePoint | ( | const SamplePoint & | samplePoint | ) |

inline

Include new element into sample.

Updates internal statistics counters.

Parameters

  [in] | samplePoint | Collection of sample values for the fracturing of the current well/reservoir connection.

## operator==()

template<typename Scalar>

bool Opm::ConnFracStatistics< Scalar >::operator== | ( | const ConnFracStatistics< Scalar > & | that | ) | const

inline

Equality predicate.

Parameters

  [in] | that | Object against which *this will be tested for equality.

Returns
  Whether or not
  *this
  is the same as `that`.

## serializeOp()

template<typename Scalar>
template<class Serializer>

void Opm::ConnFracStatistics< Scalar >::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## statistics()

template<typename Scalar>

const RunningStatistics< Scalar > & Opm::ConnFracStatistics< Scalar >::statistics | ( | const Quantity | q | ) | const

inline

Retrieve collection of sample statistics for a single quantity.

Parameters

  [in] | q | Quantity for which to retrieve sample statistics.

Returns
  Sample statistics for quantity `q`.

The documentation for this class was generated from the following file:

- opm/simulators/wells/ConnFracStatistics.hpp